WordPress 2.7 : erreurs 500 et hébergement 1&1

Après la galères des erreurs 500 et autres non-affichages suite à la mise à jour de WordPress en 2.7, j’étais passé sur la version 2.6 en attendant de trouvé la solution au problème.

wordpress logo 11

Bonne nouvelle ! le problème a été trouvé et corrigé. Un gros merci à Romain donc, qui m’a indiqué les lignes de codes à utiliser pour y remédier.

Le problème est le suivant : les hébergements 1&1 tournent par défaut sous PHP4 et non 5, même si cela est proposé. Alors je ne sais pas pourquoi, mais c’est comme ça. Donc en gros, il faut dire au serveur lorsqu’on souhaite utiliser PHP5. Et oui, WordPress à besoin de PHP4.3, donc il faut avoir PHP5.

Alors comment s’y prendre si vous êtes comme moi, chez 1&1 ?

Tout d’abords, ouvrez votre bloc note. Et écrivez :
AddType x-mapp-php5 .php
AddHandler x-mapp-php5 .php

Enregistrez.

Ensuite uploadez ce fichier à la racine de votre serveur. A la racine du serveur et non du blog si vous avez mis votre blog dans un dossier. Puis renommez le fichier en .htaccess (oui, il n’y a pas d’extension et un point avant le nom, ce sont les fichiers cachés sous linux).

Par ex, j’ai plusieurs blogs sur mon hébergement, donc leblogdantoine est dans un dossier lui correspondant, j’ai mis le fichier à la racine et non dans le dossier du blog.

Si vous avez déjà un fichier .htaccess à la racine, rapatriez-le sur votre pc et rajouter les lignes dans le fichier et uploadez.

Quand tout ca est fait, vous pouvez télécharger WordPress 2.7 et mettre à jour votre blog comme d’habitude.

Pour ce qui est de mon hébergement Dreamhost, mon blog avait été mis à jour sans problème.

Advertisements

7 thoughts on “WordPress 2.7 : erreurs 500 et hébergement 1&1”

  1. Attention, si on met ce htaccess à la racine alors tous les sites de l’hébergement passe en PHP5 ! Il est tout à fait possible de le mettre à la racine de WordPress, il faut juste modifier le htaccess de base.

    Like

  2. Merci Antoine !!! 😀

    J’avais du faire la manip il y a quelques temps mais lors de la migration vers le 2.7, c’est un plug-in qui me donnait du 500 et je n’y avait pas pensé au php5 😉

    Like

  3. Mon dieu… merci merci merci, ça fait des jours que je planche sur ce soucis, et voila que tout mes problèmes sont résolus 😀

    Audiofeeline > Détrompe toi, on peut très bien créer des htaccess directement sous windows, tout du moins sous XP 😉

    Like

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s